org.apache.nutch.webui.service.impl

## Class CrawlServiceImpl

- java.lang.Object
- - org.apache.nutch.webui.service.impl.CrawlServiceImpl

- All Implemented Interfaces:
    CrawlingCycleListener, CrawlService

      @Service
      public class CrawlServiceImpl
      extends Object
      implements CrawlService, CrawlingCycleListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandExecuted(Crawl crawl, RemoteCommand command, int progress)`
    `void` | `crawlingFinished(Crawl crawl)`
    `void` | `crawlingStarted(Crawl crawl)`
    `void` | `deleteCrawl(Long crawlId)`
    `List<Crawl>` | `getCrawls()`
    `void` | `onCrawlError(Crawl crawl, String msg)`
    `void` | `saveCrawl(Crawl crawl)`
    `void` | `startCrawl(Long crawlId, NutchInstance instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrawlServiceImpl

          public CrawlServiceImpl()

  - ### Method Detail

    - #### startCrawl

          @Async
          public void startCrawl(Long crawlId,
                                        NutchInstance instance)

      Specified by:
        `startCrawl` in interface `CrawlService`

    - #### getCrawls

          public List<Crawl> getCrawls()

      Specified by:
        `getCrawls` in interface `CrawlService`

    - #### saveCrawl

          public void saveCrawl(Crawl crawl)

      Specified by:
        `saveCrawl` in interface `CrawlService`

    - #### deleteCrawl

          public void deleteCrawl(Long crawlId)

      Specified by:
        `deleteCrawl` in interface `CrawlService`

    - #### crawlingStarted

          public void crawlingStarted(Crawl crawl)

      Specified by:
        `crawlingStarted` in interface `CrawlingCycleListener`

    - #### onCrawlError

          public void onCrawlError(Crawl crawl,
                                   String msg)

      Specified by:
        `onCrawlError` in interface `CrawlingCycleListener`

    - #### commandExecuted

          public void commandExecuted(Crawl crawl,
                                      RemoteCommand command,
                                      int progress)

      Specified by:
        `commandExecuted` in interface `CrawlingCycleListener`

    - #### crawlingFinished

          public void crawlingFinished(Crawl crawl)

      Specified by:
        `crawlingFinished` in interface `CrawlingCycleListener`

Copyright © 2020 The Apache Software Foundation